Leap0

Push commits

Push local commits to a remote repository.

POST
/v1/sandbox/{sandboxID}/git/push

Push local commits to a remote repository.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

path*string

Path to the git repository.

remote?string

Remote name (defaults to origin).

branch?string

Branch name.

set_upstream?boolean

Set upstream tracking reference (push only).

rebase?boolean

Rebase instead of merge (pull only).

username?string

Username for authentication.

password?string

Password or token for authentication.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.leap0.dev/v1/sandbox/string/git/push" \  -H "Content-Type: application/json" \  -d '{    "path": "string"  }'
{  "output": "string",  "exit_code": 0}
{  "message": "string",  "errors": [    {      "field": "string",      "error": "string"    }  ]}
{  "message": "string"}